sr 		= 		44100
kr 		= 		4410
ksmps 	= 		10
nchnls 	= 		2


; Assumes midi numbers for pitch (param 4)


; sine
instr	1
icps 	cpsmidinn p4
as1		oscil	p5, icps, 1
		outs	as1, as1
endin

; square
instr	2
icps 	cpsmidinn p4
as1		oscil	p5, icps, 3
		outs	as1, as1
endin

; Sample 1 (oboe)
instr	3
icps	cpsmidinn p4 - 1
as1,as2	loscil3 p5, icps, 2, 440, p5
		outs	as1, as2
endin

; phased sine (lower octave)
instr	4
icps 	cpsmidinn p4 - 12
kpan	oscil	0.5, 8, 1
knpan	= kpan + 0.5
as1		oscil	p5, icps, 1
		outs	as1*(knpan) , as1*(1-knpan)
endin

; phased sample (lower octave)
instr	5
icps 	cpsmidinn p4 - 1 - 12
kpan	oscil	0.5, 8, 1
knpan	= kpan + 0.5
as1,as2	loscil3	p5, icps, 2, 440, p5
		outs	as1*(knpan) , as2*(1-knpan)
endin