﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace LindenmayerTool
{
    public partial class SeedPrompt : Window
    {

        private static SeedPrompt _seed = null;
        public static SeedPrompt I()
        {
            if (_seed == null) _seed = new SeedPrompt();
            if (!_seed.IsLoaded) _seed = new SeedPrompt();
            return _seed;
        }


        public SeedPrompt()
        {
            InitializeComponent();
            Nullable<int> s = LSystem.I().RndGenSeed;
            if (s.HasValue) this.SeedBox.Text = s.Value.ToString();
        }

        private void Button_Click_Apply(object sender, RoutedEventArgs e)
        {
            String t = this.SeedBox.Text;
            LSystem.I().RndGenSeed = String.IsNullOrEmpty(t) ? null : new Nullable<int>(t.GetHashCode());
            this.Close();
            LSystem.I().DoAll();
        }
    }
}
